Upstream information

CVE-2008-5714 at MITRE

Description

Off-by-one error in monitor.c in Qemu 0.9.1 might make it easier for remote attackers to guess the VNC password, which is limited to seven characters where eight was intended.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.8
Vector AV:N/AC:L/Au:N/C:C/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact None
Availability Impact None
SUSE Bugzilla entries: 462502 [RESOLVED / FIXED], 464141 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • kvm >= 0.12.3-0.11.1
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA kvm
SUSE Linux Enterprise Server 11 SP2
  • kvm >= 0.15.1-0.17.3
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA kvm
SUSE Linux Enterprise Server 11 SP3
  • kvm >= 1.4.1-0.11.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA kvm
SUSE Linux Enterprise Server 11 SP4
  • kvm >= 1.4.2-30.5
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA kvm
openSUSE 11.0
  • qemu-debuginfo >= 0.10.1-0.1
  • qemu-debugsource >= 0.10.1-0.1
openSUSE 11.0
  • qemu >= 0.10.1-0.1
openSUSE 11.1
  • qemu-debuginfo >= 0.10.1-0.1.1
  • qemu-debugsource >= 0.10.1-0.1.1
openSUSE 11.1
  • qemu >= 0.10.1-0.1.1
openSUSE 11.0
  • kvm-debuginfo >= 63-31.2
  • kvm-debugsource >= 63-31.2
openSUSE 11.0
  • kvm >= 63-31.2
openSUSE 11.1
  • kvm-debuginfo >= 78-6.5.1
  • kvm-debugsource >= 78-6.5.1
openSUSE 11.1
  • kvm >= 78-6.5.1
SUSE Linux Enterprise SDK 11 GA
  • qemu >= 0.10.1-0.1.1
sle11-sdk.x86
sle11-debuginfo.x86-64
sle11-sdk.x86-64
sle11-debuginfo.x86
SAT Patch Nr: 692


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 GA kvm Affected
SUSE Linux Enterprise Server 11 GA kvm Affected